com.hammurapi.store.local

## Class LocalStoreImpl.LocalUnmodifiableStore<T,PK>

- java.lang.Object
- - com.hammurapi.store.UnmodifiableStore<T,PK,LocalStore<T,PK>>
  - - com.hammurapi.store.local.LocalStoreImpl.LocalUnmodifiableStore<T,PK>

- All Implemented Interfaces:
    LocalStore<T,PK>, Store<T,PK,LocalStore<T,PK>>, Iterable<T>, ReadWriteLock
  Enclosing class:
    LocalStoreImpl<T,PK>

      protected static class LocalStoreImpl.LocalUnmodifiableStore<T,PK>
      extends UnmodifiableStore<T,PK,LocalStore<T,PK>>
      implements LocalStore<T,PK>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.hammurapi.store.Store

      `Store.Handle<T,PK,S extends Store<T,PK,S>>, Store.QueryTask<T,PK,S extends Store<?,PK,S>>, Store.StoreIterator<T>, Store.UpdateTask<T,PK,S extends Store<T,PK,S>>, Store.ViewType`

  - ### Field Summary

    - ### Fields inherited from class com.hammurapi.store.UnmodifiableStore

      `master`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalStoreImpl.LocalUnmodifiableStore(LocalStore<T,PK> master)`

  - ### Method Summary

    - ### Methods inherited from class com.hammurapi.store.UnmodifiableStore

      `addIndex, clear, createUnmodifiableFacade, createView, get, get, getAll, getByPrimaryKey, getMaster, getMultiple, getPrimaryKeyExtractor, iterator, put, query, query, queryAll, queryMultiple, readLock, remove, remove, removeByPrimaryKey, update, writeLock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.hammurapi.store.Store

      `addIndex, clear, createUnmodifiableFacade, createView, get, get, getAll, getByPrimaryKey, getMultiple, getPrimaryKeyExtractor, put, query, query, queryAll, queryMultiple, remove, remove, removeByPrimaryKey, update`

    - ### Methods inherited from interface java.util.concurrent.locks.ReadWriteLock

      `readLock, writeLock`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Constructor Detail

    - #### LocalStoreImpl.LocalUnmodifiableStore

          public LocalStoreImpl.LocalUnmodifiableStore(LocalStore<T,PK> master)